# PrototypedSoapClient Class Reference

Quick reference: More...

List of all members.

## Public Member Functions

| __construct ()
| getWsdlUrl ()
| classMap ()
| getSoapClient ()
| ONLY FOR TESTING: {{{.
| __getLastRequestHeaders ()
| __getLastResponseHeaders ()
| __getLastResponse ()
| __getLastRequest ()

## Static Public Member Functions

static | convertSoapFault (SoapFault $e)

## Protected Member Functions

| call ($method, DTOMessage $request, $resultClass)
| getLastRequestCdata ()
| getLastResponseCdata ()
| logCall ()
| The place for calling getLastRequestCdata() and getLastResponseCdata().

## Protected Attributes

| $wsdlUrl = null
| $classMap = array()
| $soapClient = null

## Private Member Functions

| getXmlCdata ($xml)

## Detailed Description

Quick reference:

1. extend this class

2. redefine wsdlUrl and classMap ('complexType' => 'DtoClass')

3. make EntityProtos, Dtos and Business classes for your Xsd objects and exception classes for your faults

4. implement your methods, corresponding to operations in wsdl, in such manner:

public function login(LoginRequest $request) { // preparations...

$result = $this->call( 'login', $request, 'LoginResponse' );

// additional asserts...

return $result; }

5. implement logCall(), if you need debugging output

Definition at line 41 of file PrototypedSoapClient.class.php.

## Constructor & Destructor Documentation

PrototypedSoapClient::__construct | ( |  | ) |

Definition at line 71 of file PrototypedSoapClient.class.php.

References $wsdlUrl, classMap(), getWsdlUrl(), and Assert::isNotNull().

Here is the call graph for this function:

## Member Function Documentation

PrototypedSoapClient::__getLastRequest | ( |  | ) |

Definition at line 249 of file PrototypedSoapClient.class.php.

References getSoapClient().

Referenced by getLastRequestCdata().

Here is the call graph for this function:

PrototypedSoapClient::__getLastRequestHeaders | ( |  | ) |

Definition at line 234 of file PrototypedSoapClient.class.php.

References getSoapClient().

Here is the call graph for this function:

PrototypedSoapClient::__getLastResponse | ( |  | ) |

Definition at line 244 of file PrototypedSoapClient.class.php.

References getSoapClient().

Referenced by getLastResponseCdata().

Here is the call graph for this function:

PrototypedSoapClient::__getLastResponseHeaders | ( |  | ) |

Definition at line 239 of file PrototypedSoapClient.class.php.

References getSoapClient().

Here is the call graph for this function:

PrototypedSoapClient::call | ( | $ | method,
|  | DTOMessage $ | request,
|  | $ | resultClass |
| ) |  |  | `[protected]`

Definition at line 105 of file PrototypedSoapClient.class.php.

References convertSoapFault(), DTOToFormImporter::create(), ObjectToFormConverter::create(), Assert::dumpArgument(), PrototypedEntity::entityProto(), getSoapClient(), Assert::isEqual(), Assert::isInstance(), Assert::isNull(), Assert::isTrue(), logCall(), and DTOMessage::makeDto().

Here is the call graph for this function:

PrototypedSoapClient::classMap | ( |  | ) |

Definition at line 100 of file PrototypedSoapClient.class.php.

Referenced by __construct().

static PrototypedSoapClient::convertSoapFault | ( | SoapFault $ | e | ) | `[static, final]`

Definition at line 48 of file PrototypedSoapClient.class.php.

References Assert::isInstance().

Referenced by call().

Here is the call graph for this function:

PrototypedSoapClient::getLastRequestCdata | ( |  | ) | `[protected]`

Definition at line 191 of file PrototypedSoapClient.class.php.

References __getLastRequest(), getSoapClient(), and getXmlCdata().

Here is the call graph for this function:

PrototypedSoapClient::getLastResponseCdata | ( |  | ) | `[protected]`

Definition at line 198 of file PrototypedSoapClient.class.php.

References __getLastResponse(), getSoapClient(), and getXmlCdata().

Here is the call graph for this function:

PrototypedSoapClient::getSoapClient | ( |  | ) |

ONLY FOR TESTING: {{{.

Returns:
  SoapClient

Definition at line 229 of file PrototypedSoapClient.class.php.

Referenced by __getLastRequest(), __getLastRequestHeaders(), __getLastResponse(), __getLastResponseHeaders(), call(), getLastRequestCdata(), and getLastResponseCdata().

PrototypedSoapClient::getWsdlUrl | ( |  | ) |

Definition at line 95 of file PrototypedSoapClient.class.php.

Referenced by __construct().

PrototypedSoapClient::getXmlCdata | ( | $ | xml | ) | `[private]`

Definition at line 216 of file PrototypedSoapClient.class.php.

Referenced by getLastRequestCdata(), and getLastResponseCdata().

PrototypedSoapClient::logCall | ( |  | ) | `[protected]`

The place for calling getLastRequestCdata() and getLastResponseCdata().

Definition at line 211 of file PrototypedSoapClient.class.php.

Referenced by call().

## Member Data Documentation

PrototypedSoapClient::$classMap = array()`[protected]`

Definition at line 44 of file PrototypedSoapClient.class.php.

PrototypedSoapClient::$soapClient = null`[protected]`

Definition at line 46 of file PrototypedSoapClient.class.php.

PrototypedSoapClient::$wsdlUrl = null`[protected]`

Definition at line 43 of file PrototypedSoapClient.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Net/Soap/PrototypedSoapClient.class.php